import { ExtractOptions } from './extract-document-string-from-code-file';
import { SchemaPointerSingle, DocumentPointerSingle, Source, UniversalLoader } from '@graphql-toolkit/common';
export declare type CodeFileLoaderOptions = ExtractOptions & {
    noRequire?: boolean;
    cwd?: string;
    require?: string | string[];
};
export declare class CodeFileLoader implements UniversalLoader<CodeFileLoaderOptions> {
    loaderId(): string;
    canLoad(pointer: SchemaPointerSingle | DocumentPointerSingle, options: CodeFileLoaderOptions): Promise<boolean>;
    load(pointer: SchemaPointerSingle | DocumentPointerSingle, options: CodeFileLoaderOptions): Promise<Source>;
}
